From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/socketio-client/
Date: Wed, 29 Jun 2016 17:41:06 +0000 (UTC) [thread overview]
Message-ID: <1467222036.9d9ef6e9ff8c6c819df5d4ceee90a6dc4a1c4a7b.patrick@gentoo> (raw)
commit: 9d9ef6e9ff8c6c819df5d4ceee90a6dc4a1c4a7b
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 29 17:26:34 2016 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 17:40:36 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d9ef6e9
dev-python/socketio-client: Bump
Package-Manager: portage-2.3.0
dev-python/socketio-client/Manifest | 1 +
.../socketio-client/socketio-client-0.6.6.ebuild | 46 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/socketio-client/Manifest b/dev-python/socketio-client/Manifest
index 4b4ac53..fd44885 100644
--- a/dev-python/socketio-client/Manifest
+++ b/dev-python/socketio-client/Manifest
@@ -1 +1,2 @@
DIST socketio-client-0.6.5.tar.gz 18387 SHA256 843f271074e6d2b1302ab873d2dfb37e647aea03c75d542fdd0f47b9d81085bc SHA512 76a60089964ddba2733780b96fb079ad60640dea3f457b91217c2e64541c03ec7c9c653dd961285a1858d01ed13722ea60a16fac13fbd778cc0c9a720fd31a1f WHIRLPOOL d557a892686025fe0f08afc65dc4c442eea67494671351bb9ca7a05bf37e1224c3e8f3997422e80b10b7d6b7ade452e06828c6e3fe52ff4e36cc8bef6f45e127
+DIST socketio-client-0.6.6.tar.gz 21829 SHA256 beac1c1e155ca87da805f20483926535a965509b541b422bdf60ba0676fb8aed SHA512 aa21d31bf9e9062578fc6892a7624ea41ef3437eff132ff3ef2829a589c0fd19953fc514ab05161a32d06578708fb7f41b2f636d3d60a2700094e676d72cee47 WHIRLPOOL 61ab1f68bb2ede21a78e5af2788be92c0078116d498a533dae5c80516e5f6cada8bf9427df855a48c788bc857771b720f97a5ce7cdacb2e3f5637e3c12f0a470
diff --git a/dev-python/socketio-client/socketio-client-0.6.6.ebuild b/dev-python/socketio-client/socketio-client-0.6.6.ebuild
new file mode 100644
index 0000000..e223b49
--- /dev/null
+++ b/dev-python/socketio-client/socketio-client-0.6.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+
+inherit distutils-r1
+
+MY_PN="socketIO-client"
+REPO_PN="socketIO_client"
+DESCRIPTION="A socket.io client library for Python"
+HOMEPAGE="https://github.com/invisibleroads/${MY_PN}/ https://pypi.python.org/pypi/${MY_PN}"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${REPO_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}/${REPO_PN}-${PV}"
+
+python_test() {
+ # https://github.com/invisibleroads/socketIO-client/issues/90
+ # This runs the suite but has nill output to the screen
+ # The bug filed will hopefully yield a more conventional testsuite
+
+ # The import of SocketIO need be made with abs path to run the tests
+ sed -e 's:from .. import:from socketIO_client import:' \
+ -i ${REPO_PN}/tests/__init__.py || die
+
+ "${PYTHON}" ${REPO_PN}/tests/__init__.py || die "Tests failed under ${EPYTHON}"
+
+ # Return to original form for final install
+ sed -e 's:from socketIO_client import:from .. import:' \
+ -i ${REPO_PN}/tests/__init__.py || die
+}
next reply other threads:[~2016-06-29 17:41 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-06-29 17:41 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-05-22 15:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/socketio-client/ Zac Medico
2020-11-08 22:28 Zac Medico
2020-05-21 8:06 Agostino Sarubbo
2020-05-21 7:53 Agostino Sarubbo
2020-05-03 21:23 Zac Medico
2020-02-06 6:18 Michał Górny
2018-04-13 9:53 Zac Medico
2017-05-02 9:48 Michał Górny
2017-03-15 9:28 Zac Medico
2017-01-04 15:29 Agostino Sarubbo
2016-12-19 14:14 Tobias Klausmann
2016-05-07 4:31 Ian Delaney
2015-09-01 9:22 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1467222036.9d9ef6e9ff8c6c819df5d4ceee90a6dc4a1c4a7b.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox